### Function: AddQuestRewardFaction(quest, faction_id, amount)

**Description:**
CanReceiveQuest requires the minimum faction amount with the faction_id specified.

**Parameters:**
- `quest` (Quest) - Quest object representing `quest`.
- `faction_id` (uint32) - Integer value `faction_id`.
- `amount` (int32) - Quantity `amount`.

**Returns:** None.

**Example:**

Example Required
